/************** VARS **************/
:root {
    --bg-light-color: #ffffff; /* var(--bg-light-color); */
    --bg-dark-color: #787878; /* var(--bg-dark-color); */
    --text-light-color: #ffffff; /* var(--text-light-color); */
    --text-dark-color: #4b4b4b; /* var(--text-dark-color); */
}

/************** MAIN **************/

html, body, #main{
    width: 100%;
    max-width: 100% !important;
    height: 100%;
    max-height: 100% !important;
    font-family: Roboto, Arial, sans-serif;
    /*display: inline-flex;*/
}

p{
    margin: 0;
}

#map{
    height: 100%;
    max-height: 100% !important;
    width: 100%;
    max-width: 100% !important;
    /*position: absolute;*/
}

#underInfoDiv{
    position: relative;
    top: 11px;
    left: -8px;
    z-index: 1003;
}

#underInfoDivContent{
    display: none;
}

/************** MAP **************/
.info {
    padding: 6px 8px;
    font: 14px/16px Arial, Helvetica, sans-serif;
    background: white;
    background: rgba(255,255,255,0.8);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
}
.info h4 {
    margin: 0 0 5px;
    color: #777;
}

.info p {
    margin-bottom: 1px;
}

.legend {
    line-height: 18px;
    color: #555;
}
.legend i {
    width: 18px;
    height: 18px;
    float: left;
    margin-right: 8px;
    opacity: 0.7;
}

/*.leaflet-left, .leaflet-top, .leaflet-right, .leaflet-bottom{
    max-width: 50%;
}*/

.leaflet-left, #openSidenavBtn {
    transition: margin-left .25s;
}

/*INFO*/
.leaflet-control.mainInfo {
    margin-right: 45px;
}


#openSidenavBtn {
    position: absolute;
    top: 190px;
    z-index: 1002;
    background-color: var(--bg-light-color);
    padding: 7px;
    cursor: pointer;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
    box-shadow: 2px 1px 4px rgba(0, 0, 0, 0.45);
}

.mirrorX{
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
}

ul{
    list-style: none;
    padding: 0 !important;
}

/************** SIDENAV **************/
.sidenav {
    height: 100%; /* 100% Full-height */
    width: 0; /* 0 width - change this with JavaScript */
    z-index: 1001; /* Stay on top */
    background-color: var(--bg-light-color); /* Black*/
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.65);
    overflow-x: hidden; /* Disable horizontal scroll */
    transition: .25s; /* 0.25 second transition effect to slide in the sidenav */
    display: inline-flex;
}

/*TOPIC*/
.sidenav .firstLevel{
    padding-top: 10px;
    width: 310px;
    min-width: 310px !important;
    overflow-x: hidden;
    overflow-y: auto;
}

.separator {
    margin: 0 10px;
    border-top: 1px solid #dee2e6 !important;
}

.topicList {
    margin: 10px 0 10px 6px;
}

.sidenav .topic {
    padding: 5px 10px 5px 0;
    text-decoration: none;
    color: var(--text-dark-color);
    display: block;
    white-space: nowrap; /*omezí přeskočení na další řádek*/
    transition: width 0.3s, background-color 0.1s, color 0.1s;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
    cursor: pointer;
    user-select: none; /* Prevent text selection */
}

.sidenav .topicName {
    margin-left: 7px;
    font-size: 1em;
}

.sidenav .topic .topicIcon {
    font-size: 1.1em;
    display: inline;
}

.sidenav .topic .topicIcon svg {
    width: 30px;
    color: var(--text-dark-color);
}

.sidenav .topic:hover, .sidenav .topic.active {
    background-color: var(--bg-dark-color);
}

.sidenav .topic:hover .topicName, .sidenav .topic.active .topicName {
    color: var(--text-light-color) !important;
}

/*INDICATOR*/
.sidenav .secondLevel{
    width: 0;
    display: none;

    color: #f8f9fa !important;
    background-color: var(--bg-dark-color);
    padding: 5px 0 10px 5px;
    font-size: 0.9em;
    overflow-x: hidden;
    overflow-y: auto;
    transition: 0.3s;
}
.sidenav .secondLevel.open{
    width: 50%;
    /*display: block;*/
}

.sidenav .collapseIndicator{
    position: relative;
}

.sidenav .collapseIndicator .line{
    float: right;
    background-color: #f8f9fa;
}

.sidenav .collapseIndicator:hover .line{
    background-color: #484848;
}

.indicator {
    color: inherit;
    width: 100%;
    text-align: left;
    background-color: initial;
    border: none;
    cursor: pointer;
    padding: 5px 10px;
    transition: width .3s, background-color .1s, color .1s;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
}

.indicator:focus {
    outline: none;
    box-shadow: 0 0 0 3px rgba(255, 255, 255, 0.2);
}

.sidenav ul.collapse, .sidenav li {
    position: relative;
}

.sidenav li.indicator {
    margin-left: 23px;
    padding-right: 27px;
    padding-left: 8px;
}

.sidenav li.indicator::before, .sidenav li.indicator::after {
    content: "";
    position: absolute;
    left: -10px;
}

.sidenav li.indicator::before {
    border-top: 1px solid var(--text-light-color);;
    top: 14px;
    width: 8px;
    height: 0;
}

.sidenav li.indicator::after {
    border-left: 1px solid var(--text-light-color);;
    height: 100%;
    width: 0;
    top: 6px;
}

.sidenav li.indicator:last-child::after {
    height: 8px;
}

.indicator:hover{
    background-color: var(--bg-light-color);;
    color: #2a2a2a !important;
}


/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }

    .sidenav a {
        font-size: 18px;
    }
}

/************** SCROLL BAR **************/
/* width */
.scrollbar-dark::-webkit-scrollbar {
    width: 7px;
}

/* Track */
.scrollbar-dark::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
.scrollbar-dark::-webkit-scrollbar-thumb {
    background: #737373;
}

/* Handle on hover */
.scrollbar-dark::-webkit-scrollbar-thumb:hover {
    background: #6b6b6b;
}

/* width */
.scrollbar-light::-webkit-scrollbar {
    width: 7px;
}

/* Track */
.scrollbar-light::-webkit-scrollbar-track {
    background: var(--bg-dark-color);
}

/* Handle */
.scrollbar-light::-webkit-scrollbar-thumb {
    background: #f1f1f1;
}

/* Handle on hover */
.scrollbar-light::-webkit-scrollbar-thumb:hover {
    background: #e1e1e1;
}

/************** SEARCH **************/

#mainSearch{
    position: fixed;
    background: var(--bg-dark-color);
    border-radius: 7px;
    transition: 0.4s;
    padding: 4px;
    cursor: pointer;
}

#mainSearch.active{
    cursor: default;
    margin-left: 20px;
}

#mainSearch .searchResult{
    display: none;
    clear: both;
    color: var(--text-light-color);
}

#mainSearch .searchResult .indicator:first-child{
    margin-top: 2px;
}

#mainSearch.active .searchResult{
    display: block;
    height: min-content;
}

#mainSearch .button {
    width: 28px;
    height: 28px;

    float: right;
    border-radius: 7px;
    background: var(--bg-dark-color);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.4s;
    color: var(--text-light-color) !important;
    cursor: pointer;
    font-size: .9em;
}

#mainSearch .button > svg{
    transition: 0.4s;
    position: absolute;
}

#mainSearch .button .clearImg {
    opacity: 0;
}

#mainSearch.active .button .clearImg {
    opacity: 0.6;
}

#mainSearch .button .searchImg {
    opacity: 1;
}

#mainSearch.active .button .searchImg {
    opacity: 0;
}

#mainSearch .searchInput {
    line-height: 28px;

    border: none;
    background: none;
    outline: none;
    float: left;
    padding: 0;
    color: white;
    font-size: 1em;
    transition: 0.4s;
    width: 0;
    font-weight: bold;
}

#mainSearch.active .searchInput {
    width: 300px;
    padding: 0 10px;
}

#mainSearch .searchInput::-webkit-input-placeholder { /* Edge */
    color: #d6d6d6;
}

#mainSearch .searchInput:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #d6d6d6;
}

#mainSearch .searchInput::placeholder {
    color: #d6d6d6;
}


/************** SPINNER **************/
#spinner {
    display: block;
    z-index: 9999;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.25);
}

#spinner img {
    fill: white;
    position: fixed;
    width: 14em;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    -webkit-animation: spin 2s linear infinite;
    -moz-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-moz-keyframes spin {
    100% {
        -moz-transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/************** PLUS - MINUS **************/
.plusMinus{
    position: relative;
    width: 10px;
    height: 10px;
    background-color: unset !important;
    margin: auto 0 auto auto;
}

.plusMinus .line {
    position: absolute;
    left: 50%;
    top: 50%;
    transition: transform 0.3s ease-in-out;
}

.plusMinus .horizontal {
    width: 10px;
    height: 2px;
    margin-left: -5px;
    margin-top: -1px;
}

.plusMinus .vertical {
    width: 2px;
    height: 10px;
    margin-left: -1px;
    margin-top: -5px;
}

.plusMinus.plus .vertical {
    transform: rotate(0);
}
.plusMinus.minus .vertical {
    transform: rotate(90deg);
}


/********************* CURSOR SPY ********************/
#cursorSpy{
    padding: 6px 8px;
    font: 14px/16px Arial, Helvetica, sans-serif;
    background-color: rgba(255, 255, 255, 0.8);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
}

#cursorSpy .state {
    font-size: 1.05em;
}

#cursorSpy .value {
    font-size: 1.1em;
    font-weight: bold;
}